% !TEX root = ../toptesi-scudo-example.tex
% !TEX encoding = UTF-8 Unicode
%*****************************************************************
%*********************** Third chapter ***************************
%*****************************************************************

%\newcommand{\tAB}{\text{\tiny $AB$}}
%\newcommand{\tA}{\text{\tiny $A$}}
%\newcommand{\tB}{\text{\tiny $B$}}
%\newcommand{\tC}{\text{\tiny $C$}}
%\newcommand{\tk}{\text{\tiny $k$}}
%\newcommand{\ti}[1]{\text{\tiny $#1$}}
%\newcommand{\ve}[1]{\mathbf{#1}}


\chapter{GNSS-based collaborative ranging algorithms}
\label{ch:rangingAlgorithms}

% ********************** Define Graphics Path ********************
    \graphicspath{{Chapter3/Figures/Paper/}}
    
% ********************** Begin of Chapter ************************

As discussed in the introductory chapters of this thesis, the \ac{CP} algorithms rely on the exchange of information among networked users with the aim of exploiting such additional information locally. The estimation of the reciprocal distance among navigating agents is one of the most relevant information to be carried out by \ac{CP} algorithms. In \ac{GNSS} literature, the problem is typically referred as \textit{baseline estimation}  \cite{kaplan2017understanding,hofmann2012global}, while it is known as \textit{inter-agent distance estimation} \cite{8678911,oh2011formation,7949096} or simply \textit{ranging} in other domains such as in automatic control, mechanics and robotics \cite{1668252,1067998}. The scope of this chapter is to recall the state-of-the art of \ac{GNSS}-based ranging methods which will be analysed and implemented in the following chapters. 

A set of fundamental definitions concerning agent-to-agent distance estimation is provided in Section \ref{sec:definitions} to define the needed nomenclature. A description about \ac{LoS} ranging sensors and \ac{GNSS} differential methods is discussed to contextualize the research and to define the gap w.r.t. different sources of ranging information in Section \ref{sec:sensors} and Section \ref{sub:gnssBaselineEst}, respectively. \ac{GNSS}-based baseline estimation methods inherited from \ac{DGNSS} are then presented in detail through their analytical definitions. Eventually the \ac{IAR} is presented as an extent of the state-of-the art of the GNSS-based baseline computation solution. 
 
\section{Baseline: Fundamental Definitions} 
\label{sec:definitions}

This section provides a set of general definitions and a background about state-of-the art techniques for the estimation of the \textit{baseline}.
 
%The \textit{range} is often misclassified as a relative information but the distinction between relative and absolute distances is not as meaningful as it is for positioning. 
In conformity to the \ac{GNSS} literature, the term \textit{baseline} will refer to the \textit{distance vector} or \textit{displacement vector} between the estimated positions of two independent agents. 

Let us suppose to know the true locations $\mathbf{x}_\ti{A}(t_k)= [ x_\ti{A}(t_k)\ \ \ y_\ti{A}(t_k)\ \ z_\ti{A}(t_k) ]^\top$ and $\mathbf{x}_\ti{B}(t_k)=[ x_\ti{B}(t_k)\ \ \ y_\ti{B}(t_k)\ \ z_\ti{B}(t_k) ]^\top$ of two agents at a given discrete time instant, $t_k$, referred to a common time scale and a common reference frame. Their true \emph{baseline vector} at $t_k$ can be expressed through its orthogonal components in a Cartesian frame, as
\begin{equation}\label{eq:displacement}
\mathbf{d}_\ti{AB}(t_\tk)=\begin{bmatrix}
x_\ti{A}(t_k) - x_\ti{B}(t_k)   \\
y_\ti{A}(t_k) - y_\ti{B}(t_k)	\\
z_\ti{A}(t_k) - z_\ti{B}(t_k)
\end{bmatrix}=\begin{bmatrix}
\Delta x_\ti{AB}(t_k)   \\
\Delta y_\ti{AB}(t_k)	\\
\Delta z_\ti{AB}(t_k)  
\end{bmatrix}
\end{equation}
and their true \textit{baseline length} is hence defined through
\begin{equation}\label{eq:euclidean}
d_{\ti{AB}}(t_\tk) \triangleq ||\mathbf{d}_{\ti{AB}}(t_\tk)|| = \sqrt{\left(\Delta x_{\ti{AB}}(t_k)\right)^2 + \left( \Delta y_{\ti{AB}}(t_k) \right)^2 + \left( \Delta z_{\ti{AB}}(t_k) \right)^2}
\end{equation}
which is, by definition, the norm of $\mathbf{d}_\ti{AB}(t_\tk)$, obtained by means of the Euclidean distance between $\mathbf{x}_\ti{A}(t_k)$ and $\mathbf{x}_\ti{B}(t_k)$. 

While the \textit{baseline length}, \eqref{eq:euclidean}, is a scalar quantity which is not necessarily defined for a specific reference frame, the orthogonal components of a \textit{baseline vector}, \eqref{eq:displacement}, can vary according to the selected reference frame, as shown in Figure \ref{fig:euclideanBasics}. The quantity $d_{\ti{AB}}(t_\tk)$ is indeed invariant w.r.t. isometric transformations (i.e. translations and rotations) of any Euclidean reference frames. Therefore, by considering a local frame centred in $\mathbf{x}_{\ti{A}}(t_k)$ and oriented according the heading of agent $A$, the \textit{baseline vector} shows a different set of orthogonal components w.r.t. the one obtained in an absolute reference frame (\ref{fig:absolute}). 

%\begin{figure}[ht!]
%\centering
%\includegraphics[height=6cm,trim={0.1cm 0.6cm 0.1cm 0.1cm},clip]{relativeVSabsolute.pdf}
%\caption{Absolute v.s. relative baseline vectors in Cartesian reference frames. }
%\label{fig:euclideanBasics}
%\end{figure}

\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.49\linewidth}
{\includegraphics[width=\linewidth,trim={.1cm 0.5cm 0.1cm 0.1cm},clip]{ch3_relative.pdf}}\hfill
        \caption{\added[id=1]{Inertial Cartesian reference frame}}
        \label{fig:relative}
    \end{subfigure}
    \begin{subfigure}[b]{0.49\linewidth}
{\includegraphics[width=\linewidth,trim={.1cm 0.3cm 0.1cm 0.1cm},clip]{ch3_absolute.pdf}}
        \caption{\added[id=1]{Absolute Cartesian reference frame}}
        \label{fig:absolute}
    \end{subfigure}
\caption{Baseline vectors shown in different 2D Cartesian reference frames.} 
\label{fig:euclideanBasics}
\end{figure*} 

However, if the local reference frame in Figure \ref{fig:relative} is obtained by means of isometric transformations of the absolute frame in Figure \ref{fig:absolute}, the equivalence $d_{\ti{AB}}(t_k)=d^{'}_{\ti{AB}}(t_k)$ holds besides $\bm{d}^{'}_{\ti{AB}}(t_k)=\bm{d}_{\ti{AB}}(t_k) \mathbf{R}$, where $\mathbf{R}$ is the rotational matrix used to define the local frame (further details about reference frames are recalled in Appendix \ref{appendix:referenceFrame}. Despite of the specific reference frame, it is trivial noticing that knowing the orthogonal components of $\bm{d}_{\ti{AB}}$, the computation of $d$ is performed through \eqref{eq:euclidean}. However it is worthy to remark that sensor-based ranging mostly addresses direct estimation of $d_{\ti{AB}}$.

\subsection{Sensor-based baseline estimation}
\label{sec:sensors}

In the last decades, exteroceptive sensors such as \ac{UWB}, \ac{LiDAR} and ultrasonic (i.e. \ac{SONAR}), have been extensively employed in robotics and vehicular applications for the estimation of \eqref{eq:euclidean}, providing high accuracy, precision and availability rate of the measurements \cite{de2017survey}. These approaches are based on a \ac{ToA} estimation, namely on the principles of monostatic and bistatic \ac{RADAR}, thus relying on the sensing of scattered \ac{RF} signals. Therefore, several works addressed the ranging problem in many application fields by exploiting such \ac{LoS} technologies \cite{8064679,wang2016bias,Venkatraman1337329}. A remarkable number of contributions in robotics and vehicular applications addressed the enhancement of \ac{CP} by means of such sensor-based \textit{inter-agent measurements} \cite{6781631,1618619}. Unfortunately, the operational capabilities of \ac{RF} sensors are typically limited by \ac{LoS} constraint, so that they are mostly implemented for close objects localization (e.g. pedestrian detection) and for short-range relative positioning applications addressing proximity awareness (e.g. automatic cruise control, collision avoidance, park assistance). Furthermore, sensor-based ranging is typically affected by a degradation of the performance as the magnitude of the measurement increases \cite{de2017survey}. In ideal conditions in fact, many of these devices can indeeed determine range measurements with a centemeter-level accuracy \cite{de2017survey}, \cite{wee2018vehicular}, thus providing useful additional navigation data to multi-agent navigation and positioning systems. Single or fixed \ac{RF} ranging sensors cannot easily provide information in form of range vector, therefore synchronized arrays (e.g. \ac{SONAR} and \ac{UWB}) or rotating sensors (e.g. \ac{LiDAR}) are typically implemented in several fields for proximity awareness as well as for indoor navigation. Similarly, vision-based systems such as monocular and binocular digital cameras, have been extensively implemented to the estimation of both \textit{baseline length} and \textit{baseline vector} \cite{7368912,8048545,8678911}. Besides a less accurate estimation, these systems enable a further processing stage devoted to object recognition, which is not negligible in \ac{LiDAR} and \ac{UWB} in terms of computational complexity (see for example \cite{5940433,1689615}). %According to the aforementioned distinction, inter-agent distances measured through state of the art sensors are passive measurements and so they are classified as \textit{relative}, since they are always referred to the position of the sensing object and to its body reference frame. 
As, shown in \ref{fig:euclideanBasics}, the orientation estimation is fundamental for the usage of such relative information within absolute positioning framework. To this goal, the attitude information provided through the integration of \ac{INS} is essential as well as the introduction of proper \textit{mechanization equations} to reliably convert the ranging information to an absolute frame. It is worth mentioning thath sensor-based ranging typically suffers of negligible delays in the determination of the \textit{baseline length}, mainly due to the \ac{ToF} of the RF signals and to the processing time of the retrieved measurements. Besides the extensive literature about sensor-based \ac{CP}, many theoretical investigations have assumed high availability of such inter-agent measurements, often over-simplifying their statistical models and neglecting the cross-correlation among such data \cite{caceres2010hybrid2,caceres2010hybrid,penna2010CRLB}. 



%%%%%%%%%%%%%%%%%%% INCLUDING STATE-OF-THE ART

\section{Absolute Positions Distance (APD)}
\label{sec:apd}

\ac{GNSS} receivers are often considered as sensors. Despite of this misleading but frequent definition, we could state that two \ac{GNSS} receiver\added{s} can be used as a passive distance sensor.
As anticipated indeed, the most intuitive way to obtain an estimate of \eqref{eq:euclidean} is referred to \ac{APD}, which needs to consider the fact that the positions $\mathbf{x}_i(t_\tk)$ and $\mathbf{x}_j(t_\tk)$ are the solutions of two disjoint estimation processes such as the multi-lateration foreseen in \ac{GNSS}. 
The \textit{baseline length} is hence estimated through

\begin{equation}\label{eq:APD}
\hat{d}_{{ij}}^{(\ti{APD})}(t_\tk)=||\hat{\mathbf{x}}_i(t_\tk)-\hat{\mathbf{x}}_j(t_\tk)||.
\end{equation}

Equation \eqref{eq:APD} is the \textit{baseline length} estimated by computing the Euclidean distance between the estimated positions $\hat{\mathbf{x}}_{i}(t_\tk)$ and $\hat{\mathbf{x}}_{j}(t_\tk)$ as 

\begin{equation}
\label{eq:euclideanFormula}
\hat{d}_{ij}^{(\ti{APD})}(t_\tk)=\sqrt{\left( \hat{x}_i-\hat{x}_j \right)^2 + \left( \hat{y}_i-\hat{y}_j \right)^2 + \left( \hat{z}_i-\hat{z}_j \right)^2}.
\end{equation}

$\hat{d}_{ij}^{(\ti{APD})}(t_\tk)$ is affected by the overall uncertainty of the positioning solutions (i.e. \ac{GDOP} and potential biases according to the position error model in Chapter \ref{ch:GNSSfundamentals}). The estimation error affecting $\hat{d}_{ij}^{(\ti{APD})}(t_\tk)$ can be caused by different unexpected effects in the positioning computation but the specific error contribution cannot be easily discriminated as for other techniques. 

By generalizing the problem according to the retrieval of asynchronous positioning solutions

\begin{equation}\label{eq:APDapprox}
\hat{d}_{ij}^{(\ti{APD})}(t_\tk)\simeq ||\hat{\mathbf{x}}_i(t_i)-\hat{\mathbf{x}}_j(t_j)||.
\end{equation}

where $t_i$ and $t_j$ are two different discrete time instants referred to a common time scale. This time misalignment causes a major issue in the determination of a reliable baseline length measurement, turning the estimation in non-real-time process. A possible way to compensate for this time-inconsistency could be the extrapolation of the positioning solution of the local receiver $i$ at the time $t_j$ but this will provide an outdated solution w.r.t. the actual agents' positions. 

Assuming the mitigation of the time offset, let suppose that agent B transmits to the agent A its own position estimate at time $t_k$, namely $\mathbf{x}_\ti{B}(t_k)$. Due to the network delay, $\delta t$, the information is received by A at time $t_k+\delta t$ when the two agents are located at $\mathbf{x}_{\ti{A}}(t_k+\delta t)$ and $\mathbf{x}_{\ti{B}}(t_k+\delta t)$, respectively. The true baseline vector $\mathbf{d}_{\ti{AB}}(t_k+\delta t)$ cannot be computed and two approximated distances can be computed:

\begin{equation}
\label{eq:oldbutgold}
d_{\ti{AB}}(t_k) = ||\mathbf{x}_{\ti{A}}(t_k) -\mathbf{x}_{\ti{B}}(t_k)||
\end{equation}

\begin{equation}
\label{eq:inconsistent}
d^{'}_{\ti{AB}}(t_k) = ||\mathbf{x}_{\ti{A}}(t_k+\delta t) -\mathbf{x}_{\ti{B}}(t_k)||
\end{equation}  
  
Equation \eqref{eq:oldbutgold} refers to outdated information while \eqref{eq:inconsistent} is a time-inconsistent solution. The two solutions can approximate the true baseline length depending on the dynamic of the systems.


\begin{figure}
\centering
\includegraphics[height=7cm,trim={0.1cm 0.6cm 0.1cm 0.1cm},clip]{ch3_delaysSimple.pdf}
\caption{Geometrical effect of the network delay on the baseline estimation in dynamic scenario. }
\label{fig:dynamicEuclidean}
\end{figure}


As shown in Figure \ref{fig:dynamicEuclidean}, depending on the dynamics of the agents the actual delay in the computation of the baseline length can lead to misleading information.

Intuitively, the \ac{APD} cannot be used to improve the positioning estimation because it is directly computed through the estimate itself. Although the method is ineffective for the enhancement of positioning and navigation solutions, its error model involves multi-variate statistics and it is useful for more advanced \ac{GNSS}-based solutions such as \ac{SD} and \ac{DD}, as detailed hereafter. 

\subsection{Error modelling of Euclidean distance in {GNSS} positioning solutions}
\label{sub:errModelAPD}

%The \ac{GNSS} \ac{SPP} solutions are often approximated as realizations of spherical multivariate distribution with i.i.d Gaussian components, but this is fairly far from the truth .
The following analysis has been presented in \cite{minetto2017IAR} to provide a reference statistical distributions of the distance between two independent \ac{GNSS} fixes. %It is mainly referred to the \ac{APD} method but the results hold for \ac{PR}, \ac{SD}, \ac{DD}, as well.

\subsubsection{Distribution of GNSS positioning solutions}
\label{sub:distributionPosSolutions}


Considering a scenario not affected by multipath, the independence of the elements of the position vector estimated by an agent is not verified due to their dependency of the satellite geometry \cite{van1998innovation,langley1991mathematics}.

An example of distributions of two static \ac{GNSS} solutions is shown in the two-dimensional example of Figure \ref{fig:exDistribution} along with the visualization of their covariance through error ellipses. They are obtained by simulating the positioning problem with different sets of satellites and \textit{corrected pseudorange} measurements. The measurements are created through true range values affected by independently generated \ac{WGN} samples. It can be noticed that $X_j$ presents an evident correlation of its components thus, showing a non-diagonal error covariance matrix, $\sigma_{xy,i}\neq 0$. On the opposite, $X_i$ is characterized by a quasi-diagonal covariance matrix ($\sigma_{xy,i} \simeq 0$) but the errors affecting its components are not identically distributed, formally $\sigma_{x_i}>\sigma_{y_i}$.\\

\begin{figure}
\centering
\includegraphics[width=0.8\linewidth,trim={0cm 1.5cm 0cm 1cm},clip]{ch3_PointDistributionExample.eps}
\caption{Example of bivariate Gaussian distributed \ac{PVT} solutions (Horizontal positioning solution) with a graphical visualization of the error covariance matrices in terms of 95\% and 99\% confidence intervals.}
\label{fig:exDistribution}
\end{figure}

According to error model defined in Chapter \ref{ch:GNSSfundamentals}, the elements of the positioning solutions of two \ac{GNSS} receivers can be considered pairwise-independent assuming independent residual noise components on the respective pseudorange measurements. With this in mind, each differential term in the \textit{baseline vector} is still a Gaussian random variable resulting from the difference of independent Gaussian variables.

In a realistic scenario the elements of the \textit{baseline vector}  obtained through the \ac{APD} are strongly cross-correlated. Therefore the distribution of ${d}_{ij}^\ti{(APD)}$ in a bi-dimensional frame follows a generalized Nagakami distribution considering non null covariances of the elements or a generalized Rice distribution considering correlated non-identically distributed elements.
In the following we aim at inspecting the approximation of this general distribution with a Gaussian distribution by identifying the validity conditions through the Batthacharyya distance.

\subsubsection{On the generalization of \ac{APD} error distribution}
\label{sub:generalization}

For readability reasons, the time dependency indicated in the variables will be dropped without any loss of generality.
%Let us recall from basic statistics that the sum of squares of a set of independent normal random variables, or equivalently, the distribution of the Euclidean distance of the random variables from the origin follows a Chi distribution
%
%\begin{equation}
%Y =\sqrt{\sum_{k=1}^k X_k^2} \sim \begin{cases} \frac{x^{k-1} e^{-x^2}/2}{2^{k/{2-1}\Gamma \frac{k}{2}}}, & x \geq 0; \\
%0, & \text{otherwise} \end{cases}. 
%\end{equation}

%By assuming the independence of the components, the output distribution is hence a Chi distribution with $k$ degrees of freedom, which is namely a Rayleigh distribution when $k=2$. According to the central limit theorem, the Chi distribution can be approximated with a Normal distribution with the same mean and variance approaching higher dimensionality \cite{ross2014introduction}. A known distribution which models the norm of a multivariate vector of $k=3$ i.i.d. normally-distributed elements is known as Maxwell-Boltzmann distribution. It is fundamental to recall that the component of the \textit{baseline vector} are not expected to be independent, therefore an empirical analysis on the approximation of the distribution of the baseline length is pursued hereafter varying the statistical properties of the two positioning solutions. 
%Indeed, if the baseline vector components are not i.i.d. the probability density function become a general case which can be classified as a generalized Rician distribution \cite{leemis2008univariate}.
%
%Let us consider the distribution of the distance between each couple of point in Figure \ref{fig:exDistribution}. It is well-known that for bivariate statistics it is distributed according to a Rayleigh distribution. In some high-level applications such as \ac{LBS}, this could be sufficient for the characterization of the solution but for our investigations an extension to three-dimensional framework is needed. 
%A Gaussian approximation of the distribution of the Euclidean distance for multivariate normal random variables has been hence experimentally verified in \cite{minetto2017IAR} and it is recalled hereafter.  \\  

%Let us now consider the aforementioned agents located in a three-dimensional reference frame. Their positioning estimations are distributed as two independent multivariate normal random variables with given covariance and correlation properties, as derived for \ac{GNSS} in Chapter \ref{ch:GNSSfundamentals}.

%Let us recall the definition of the baseline vector as in \eqref{eq:displacement}, given a non diagonal covariance matrix, the correlation among the elements cannot be neglected.

%Let us define the two three-dimensional independent, multivariate Gaussian distributions as $X_i \sim  \mathcal{N}_3(\mathbf{x}_i,\mathbf{P}_i)$ and 
%$X_j \sim  \mathcal{N}_3(\mathbf{x}_j,\mathbf{P}_j)$, respectively
%
%where $\mathcal{N}_3$ represents a multi-variate Gaussian distribution with $3$ degrees of freedom.
%
We define the distribution of the differences as

\begin{equation}
\label{eq:combined}
Y_{ij} = X_i - X_j \sim \mathcal{N}(\mathbf{x}_{ij}, \mathbf{P}_i+\mathbf{P}_j+2\mathbf{P}_{ij})
\end{equation}

where $\mathbf{x}_{ij}= \mathbf{x}_i-\mathbf{x}_j$ and $\mathbf{P}_{ij}$ is the cross-covariance matrix of the two distributions. 

By assuming pairwise-independent positioning solutions, the \eqref{eq:combined}, can be approximated neglecting the cross-covariance terms. Let us remark that the set of satellites used to compute the \ac{PVT} solution only affects the \ac{DOP}, thus close receivers could easily experience similar covariance matrices but this does not imply dependency between pairs of coordinates. 

$W=||Y_{ij}(t_k)||$ models the distribution of the norm of a vector of correlated Gaussian random variables w.r.t. the selected reference frame. Let us recall indeed that according to the definition of the baseline vector as in \eqref{eq:displacement}, given a non diagonal covariance matrix, the correlation among the elements cannot be neglected.

%\subsubsection{Bhattacharyya distance as a reference metric}

The purpose of this analysis is to understant the behaviour of $W$ and the conditions that allow to approximate it to a Gaussian distribution fitting the real one and being suitable for \ac{GNSS} applications. The Bhattacharyya distance \cite{bhattacharyya1946measure}, $D_\ti{B}$, for multivariate normal distributions gives a heuristic for the validity of such a Gaussian approximation. It represents a measure of the distance of the two distributions by considering both the difference between the mean values, and the combined covariance matrix, thus being independent from the simulated or experimental scenarios. 
The Bhattacharyya distance is computed as

\begin{equation}
\label{eq:battha}
D_\ti{B}(\mathbf{X}_i,\mathbf{X}_j)=\frac{1}{8}\left(\bar{\mu}\right)^T \bm{P}^{-1}\left(\bar{\mu}\right)+\frac{1}{2}\ln \left(\frac{\det\bm{P}}{\sqrt{\det\bm{P}_i \det\bm{P}_j}}\right)
\end{equation}

where 

\begin{equation}
\bar{\mu}=\mathbf{x}_i-\mathbf{x}_j, \bm{P}=\frac{\bm{P}_i+\mathbf{P}_j}{2}
\end{equation}


A comparison  between real and modelled Gaussian distributions was performed by letting the \eqref{eq:battha} increase. The increment of $D_\ti{B}$ was ensured by increasing the distance between the mean values of the two distributions or reducing the magnitude of their covariance matrices.

Figure \ref{fig:convergence} shows the results of Monte Carlo simulations performed to verify the bin-by-bin accuracy of the approximated Normal distribution with respect to the real one in terms of \ac{MSE} \cite{bityukov2013method}. The decreasing behaviour, shown in Figure \ref{fig:geometry2}, allows to conclude that the \ac{PDF} of the \ac{APD} between two multivariate Gaussian distributed random variables is a general distribution which approximates the behaviour of Gaussian distribution with the increasing of the Bhattacharyya distance. 

It can be shown that in case of bivariate variable, a Kolmogorov-Smirnov \ac{GoF} test failed to reject the null hypothesis (baseline length distributed accordingly to a Gaussian distribution) for $D_\ti{B}>5$ at $5 \% $ of confidence level. 

\begin{figure}[!h]
\centering
    \begin{subfigure}[b]{0.7\linewidth}
\includegraphics[width=\linewidth,trim={0cm 0cm 0cm 0cm},clip]{ch3_NormalConvergence.eps}
        \caption{\added[id=1]{Qualitative comparison between real and approximated probability distributions}}
        \label{fig:convergence}
    \end{subfigure}
    \begin{subfigure}[b]{0.7\linewidth}
\includegraphics[width=\linewidth,trim={0cm 0cm 0cm 0cm},clip]{ch3_MSEvsBattha.eps}
    \caption{\added[id=1]{Sample-based \ac{MSE} reduction by increasing $D_\ti{B}$}}
    \label{fig:geometry2}
    \end{subfigure}
    \caption{\ac{APD} distribution approaching Gaussian distribution with the same mean and variance with the increase of $D_\ti{B}$.}
\end{figure}

We found that this holds for the \ac{APD} between two general positioning solutions when their Bhattacharyya distance grows, in practice when the magnitude of the elements of the covariance matrix are small, or the distance between their mean  assumes high values.



%According to the baseline estimation methods recalled in Chapter, even for the linear independence in the real case the independence of the components of the displacement vector is not usually verified. The error covariance of the baseline is diagonal for APD but it is not diagonal for SD and DD. In the framework of this study, the non-independence of the elements displacement vector has been shown rarely relevant in the output distribution. 


\section{GNSS-based differential baseline computation}
\label{sec:diffGNSSranging}

Despite \ac{GNSS} fixes are largely employed in determining the distance among receivers through \ac{APD} \cite{ong2011use,7530562}, this solution does not guarantee the best practice to solve for this unknown. In the following, \ac{GNSS} differential solutions are presented as methods capable to provide baseline computation typically relaying on \textit{raw pseudorange} measurements instead of the receiver's positions.

\subsection{GNSS-based baseline estimation}
\label{sub:gnssBaselineEst}

To cope with the limitations of sensor-based ranging and to provide a measurements which is less-dependent on the estimated positions, recent works have investigated a set of popular algorithms in the field as \ac{DGPS}/\ac{DGNSS} methods, addressing the estimation of \eqref{eq:displacement} to improve the quality of the position estimation within a \ac{GNSS} cooperative framework \cite{tahir2018accuracy,liu2014improving,DePonteMuller2014,MinettoIAReusipco}.

\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.40\linewidth}
{\includegraphics[width=\linewidth,trim={0.7cm 0.2cm 0.2cm 1.2cm},clip]{ch3_RangingTechniquesOverview.pdf}}\hfill
        \caption{}
        \label{fig:sce_a}
    \end{subfigure}
    \hspace{20mm}
    \begin{subfigure}[b]{0.40\linewidth}
{\includegraphics[width=\linewidth,trim={0.6cm 1.2cm 0.2cm 1.2cm},clip]{ch3_RangingTechniquesOverview_ED_IAR.pdf}}
        \caption{}
        \label{fig:sce_b}
    \end{subfigure}
\caption{{\small GNSS-based ranging: open sky scenarios characterized by the full common visibility of the satellites (\ref{fig:sce_a}) and urban scenario with a single satellite in common view (\ref{fig:sce_b})}.} 
\label{fig:scenarios}
\end{figure*} 

These sensor-less methods rely on the availability of network connectivity and of a number of \ac{GNSS} satellites in common view, hereafter referred as \textit{shareable satellites}. 

According to Figure \ref{fig:euclideanBasics}, the \textit{baseline vector} \eqref{eq:displacement}, can be treated as the unknown of the problem, as it holds for the position vector in the positioning estimation. Besides the direct use of the position estimates, presented in \ref{sec:apd} as \ac{APD} and widely adopted in several \ac{LBS}, raw pseudorange measurements provided by the collaborating \ac{GNSS} receivers can be combined in a number of fashions to effectively retrieve $\mathbf{d}_{\ti{AB}}(t_k)$. The computation can be pursued according to \ac{DGPS} observables and the number of shareable satellites, as depicted in Figure \ref{fig:scenarios}. 
Multiple raw pseudorange measurements can be integrated within an iterative algorithm \ac{PR} \cite{tahir2018accuracy} or similarly, combined as single or double differences in \ac{SD} and \ac{DD}, respectivelty \cite{remondi1985using}. Also single shareable satellites can be exploited by a networked \ac{GNSS} receiver for a novel geometrical solution named \ac{IAR}. 
Differently from ranging sensors, collaborative \ac{GNSS}-based techniques, which foreseen a network-based exchange of information, can suffers of poorly predictable delays due to the network infrastructure (e.g. latency, network congestion, etc.). Furthermore, while the first are performed passively by a single agent relying on its on-board local clock, the latter requires additional adjustments to mitigate time issues enabling consistent merge of the measurements obtained by other asynchronous receivers, as discussed in Chapter \ref{ch:rxarchitecture}. 

As introduced in Chapter \ref{ch:rxarchitecture}, the following differential techniques have been deeply investigated in \ac{GNSS} since the early phases of the development of this technology. The theoretical approach reported in the next sections has been inspired replaced{in}{to} the literature on \ac{DGPS} \cite{hofmann2012global} but it will be extended in this thesis to a more general framework. Differently from this consolidated solutions indeed, in the context of multi-agent \ac{CP}, it is not assumed to deal with a static reference base station and the observables from the receivers are not assumed to be synchronized neither augmented through precise corrections. This aspect differentiates the approach from \ac{RTK} and \ac{DGPS} relative positioning, in which reference stations with precisely known positions are used to provide differential corrections or relative positioning data. The benefits introduced by the use of collaborating agents as \textit{anchors of opportunities} has been assessed theoretically and experimentally in set of previous research contributions \cite{minettoCRLB,rohani2015novel,1709862,7015602} and it has recently become appealing in novel transportation paradigms such as \ac{ITS} \cite{alam2013cooperative}. 

Prior to the description of differential techniques, the section recall a solution to compensate for the time-misalignment of the pseudorange measurements exploiting the pseudorange rate or Doppler shift \cite{deponte2013zero}, thus enabling the whole set of algorithms within a network of asynchronous \ac{GNSS} receivers, as presented in the general scheme of Chapter \ref{ch:rxarchitecture}. 

The performance of the baseline estimation can be improved through a weighting strategy at the cost of an a-priori knowledge of the error covariance matrices of such differential measurements. Therefore, a formal derivation of this statistical property is provided for each technique. It is worth recalling that all the measurements used in this research are code-based pseudorange measurements but the same approaches can be applied to carrier-phase measurements with specific solutions to solve for the integer ambiguity \cite{hofmann2012global}.

\subsection{Time-compensation of asynchronous observables (Doppler-based)}
\label{sub:timeCompDoppler}



%\begin{figure}[h!]
%\centering
%\includegraphics[width=0.6\linewidth,trim={0.0cm 0.0cm 0.0cm 0.0cm},clip]{ch3_timeScaleEpochMis.png}
%\caption{{\small Measurements epochs in GNSS receivers aligned to GNSS time scale providing non-synchronous PVT solutions [SOSTITUIRE CON DOPPIA E BASTA PIU' DETTAGLIATA].}}
%\label{fig:epochs}
%\end{figure} 

When two independent \ac{GNSS} receivers are considered to retrieve pseudorange measurements, the offset between their reception times induces a partial uncorrelation of the correlated errors \cite{deponte2013zero}. This issue limits the effectiveness of differential methods in cancelling correlated errors. To compensate for this, the two receivers have to share the timestamps of their pseudorange measurements and the target should be able to measure the Doppler shift or the pseudorange rate relative to the common satellites. It is fundamental to recall that the accuracy of the time-stamps also depends on the quality of the clock bias estimation of previous \ac{PVT} computation. 
Knowing the last two estimated timestamps ${t}_{jk}$ and ${t}_{ik}$, referred to the common \ac{GNSS} time scale, an estimated time offset, ${\Delta t}_{ij,k}=t_{ik}-t_{jk}$ is obtained. By exploiting the Doppler measurements collected by one of the receiver it is possible to compensate for asynchronous pseudorange measurements through the following

\begin{equation}
\label{eq:timeSync}
\hat{\rho}_i^s(t_{jk})={\rho}_i^s(t_{ik} + \Delta t_{ij})=\rho_i^s (t_{ik}) + {{\Delta}t}_{ij,k} \cdot \lambda \cdot {\phi}_i^s(t_{ik})
\end{equation}

where $\lambda$ is the wavelength of the carrier frequency of the transmitted signal according to the \ac{GNSS} constellation (e.g. $\lambda \approx 0.190293$ m for \ac{GPS} L1 signals) and ${\phi}_i^s(t_k)$ is the estimate of the Doppler frequency shift at $t_k$ for the $s$-th satellite.
The Doppler estimate is hence converted to a \textit{pseudorange change rate} that can be used to predict the measurements at a given time via linear regression. This synchronization solution holds well for static receivers but it can lose accuracy in case of high relative dynamics between satellites and receivers. Sudden changes in speed such as receiver acceleration could lead to wrong compensation, but the resulting error has been shown to be negligible for vehicular applications \cite{deponte2013zero}.\\

In the following, the measurements obtained by two cooperating agents are considered synchronized through the presented strategy.

\subsection{Raw Pseudorange Ranging (PR)}
\label{sub:pr}

This technique has been introduced in \cite{tahir2018accuracy} in the framework of vehicular relative positioning. The idea relies on the exploitation of raw pseudorange measurements to jointly solve for the baseline vector contextually to the positioning solutions.

At each time instant, $t_k$, the position of the agent $i$ is expressed as the true position of the agent $j$ and the baseline vector $\mathbf{d}_{ij}(t_k)$, as 

\begin{equation}
\label{eq:PRdisplacement}
\mathbf{x}_i(t_k)=\mathbf{x}_j(t_k)+\mathbf{d}_{ij}(t_k).
\end{equation}

The \ac{PR} algorithm computes the baseline vector by means of the linearization of the pseudorange equations (as modelled in Chapter \ref{ch:GNSSfundamentals}). 

\begin{align}
\label{eq:PRpseudoequation}
\rho_j^s(t_k) & =||\mathbf{x}_s(t_k) - \mathbf{x}_j(t_k) || + \delta b_j + \epsilon_c^s+\epsilon_{j,u}^s\\
\rho_i^s(t_k) & =||\mathbf{x}_s(t_k) - \mathbf{x}_j(t_k) - \mathbf{d}_{ij}(t_k)|| + \delta b_i + \epsilon_c^s+\epsilon_{i,u}^s.
\end{align}

Given a set of $S$ shareable satellites between the two agents and defining a linearization point, a \ac{WLS} approach can be used to solve for the following equation

\begin{equation}
\label{eq:PRequation}
\Delta \bm{\rho}_{ij}(t_k) = \begin{bmatrix}
    \ve{H}_{j} & \mathbf{0}_{N\times4} \\
    \mathbf{0}_{N\times4} & \ve{H}_{j}    
\end{bmatrix} \begin{bmatrix}
\Delta \mathbf{x}_{j}   \\
\Delta b_j         \\
\Delta \mathbf{x}_{i}   \\
\Delta b_i         \\
\end{bmatrix}
\end{equation}

where \added[id=1]{$\Delta \bm{\rho}_{ij}(t_k)=\left[ \bm{\rho}_{i} - \bm{\rho}_{j} \right]$ for the same satellites and} $\ve{H}_j$ is defined as the Direction Cosine Matrix computed at $t_k$ by the agent $j$, as for the \ac{PVT} algorithm described in Chapter \ref{ch:GNSSfundamentals}.
By inverting the relationship between the two locations \eqref{eq:PRdisplacement}, the \eqref{eq:PRequation} can be solved iteratively to estimate the baseline vector 

\begin{equation}
\label{eq:approxDisplacement}
\hat{\mathbf{d}}_{ij}(t_k)= \hat{\mathbf{x}}_{i}(t_k)-\hat{\mathbf{x}}_{j}(t_k)
\end{equation}

According to \eqref{eq:PRequation}, the error covariance matrix on the baseline vector is derived similarly as for Section \ref{sub:errModelAPD}. The difference is that the baseline vector is obtained with a high redundancy of measurements which typically increases the precision of the solution, thus reducing the covariance elements.

\subsection{Single Difference Ranging (SD)}
\label{sub:sd}

This method computes the \textit{baseline vector} by exploiting a set of differential observable known as single differences.

\begin{figure}[h!]
\centering
\includegraphics[width=0.7\columnwidth,trim={5cm 2.2cm 5cm 2.5cm},clip]{SD_scheme.pdf}
\caption{{\small Single Difference principle applied to two \ac{GPS} receivers. Image taken from \cite{differentialGEOSPATIAL}. }}
\label{fig:singleDiff}
\end{figure} 

A generic single difference can be defined between two \ac{GNSS} receivers $i,j$ tracking a common satellite $s$ as the difference between synchronous pseudorange measurements \cite{hofmann2012global}.

\begin{equation}
\label{eq:singleDiff}
\begin{aligned}
S^s_{ij}(t_k) & =\rho_i^s(t_k)-\rho_j^s(t_k)\\
              & = \Delta r_{ij}(t_k) + \Delta b_{ij}(t_k) + \Delta \epsilon_{ij} (t_k)
\end{aligned}
\end{equation}

where $\Delta b_{ij}(t_k)$ is difference between the clock biases of the two agents and the $\Delta \epsilon_{ij}$ is a noise term which aggregates all the non-correlated errors. In fact, provided that all the measurements are synchronous as expected from \eqref{eq:timeSync}, single differences allow to cancel the satellite clock bias and correlated bias terms affecting pseudorange measurements. Under the assumption of close proximity of the receivers, ionospheric and tropospheric delay are also effectively removed due to their high spatial correlation \cite{kaplan2017understanding}.
Besides the cancellation of correlated error terms, the variance of the uncorrelated errors, such as multipath, is increased due to the typical low spatial and temporal correlation. This noise contributions are hence aggregated in $\Delta \epsilon_{ij} (t_k)$. The behaviour of multipath errors are indeed caused by satellite, receiver, reflector or scatter movement which are mainly responsible for its high time variability \cite{707266,lehner2005novel}.

A useful notation for the computation of a set of single differences can be derived in matrix form, as

\begin{equation}
\label{eq:singleDiff_mat}
\begin{bmatrix}
S^{1}_{ij}(t_k)  \\
S^{2}_{ij}(t_k)  \\
\vdots  		 \\
S^{S}_{ij}(t_k)  
\end{bmatrix}=\begin{bmatrix}
-1 & 1 &  0 & 0 & \cdots & \dots & 0 & 0 \\
 0 & 0 & -1 & 1 & \vdots & \vdots & 0 & 0 \\
 \vdots & \vdots & \cdots & \dots & \ddots & \ddots  & \vdots & \vdots\\
  0 & 0 & 0 & 0 & \cdots & \cdots  & -1 & 1\\
\end{bmatrix}\begin{bmatrix}
\rho_i^{1}(t_k)   \\
\rho_j^{1}(t_k)   \\
\rho_i^{2}(t_k)   \\
\rho_j^{2}(t_k)   \\
\vdots 			  \\
\vdots 			  \\
\rho_i^{S}(t_k)   \\
\rho_i^{S}(t_k) 
\end{bmatrix}.
\end{equation}

The computation of the baseline vector based on \ac{SD} is performed through

\begin{equation}
\label{eq:SDranging}
\begin{bmatrix}
S^{1}_{ij}(t_k) &  \\
S^{2}_{ij}(t_k) &  \\
\vdots  			 &  \\
S^{S}_{ij}(t_k) &  
\end{bmatrix} \simeq \begin{bmatrix}
\mathbf{h}^{1}_{j}(t_k) & 1 \\
\mathbf{h}^{2}_{j}(t_k) & 1 \\
\vdots  			& \vdots \\
\mathbf{h}^{S}_{j}(t_k) & 1 
\end{bmatrix} \begin{bmatrix}
\mathbf{d}_{ij}(t_k)   \\
\Delta b_{ij}(t_k)     \\
\end{bmatrix}
\end{equation}

In order to compute the covariance matrix of the \ac{SD} ranging, the following relationship holds

\begin{equation}
\label{eq:sdcov}
\mathbf{R}_{d}^{\ti(SD)}=\left( \mathbf{H}^{\top} \mathbf{H} \right)^{-1} \mathbf{H}^{\top} \mathbf{R}_{\ti{SD}} \mathbf{H} \left( \mathbf{H}^{\top} \mathbf{H} \right)^{-1}
\end{equation}

\replaced[id=1]{where $\mathbf{R}_{\ti{SD}}$ is the error covariance matrix of the single differences and $\mathbf{H}$ is the second term in \eqref{SDranging}.}{where the error covariance $\mathbf{R}_{\ti{SD}}$} $\mathbf{R}_{\ti{SD}}$ can be a diagonal matrix if the satellites are not repeated among the pairs (i.e. each difference is independent) \cite{hofmann2012global}. A generic element of the diagonal of $\mathbf{R}_{\ti{SD}}$ is hence defined as $[R_{\ti{SD}}]_{ss}=\left(\sigma_i^s \right)^2+\left(\sigma_j^s \right)^2$.

\subsection{Double Difference Ranging (DD)}
\label{sub:dd}

\begin{figure}[h!]
\centering
\includegraphics[width=0.7\columnwidth,trim={5cm 2.2cm 5cm 2.5cm},clip]{DD_scheme.pdf}
\caption{{\small Single Difference principle applied between two \ac{GPS} receivers.}}
\label{fig:singleDiff}
\end{figure} 

When the same pair of satellites $r$ and $s$ is visible to both the receivers, a double difference measurement can be obtained as difference of two single differences

\begin{equation}
\label{eq:double}
D^{sr}_{ij}(t_k)=S^s_{ij}(t_k)-S^r_{ij}(t_k)=\Delta R^{sr}_{ij}+\Sigma_{ij}
\end{equation}

where $S^s_{ij}$ is a single difference computed according to \eqref{eq:singleDiff} while $\Sigma_{ij}$ is a random variable collecting residual error contributions that cannot be cancelled due to the non-correlation between the measurements such as multipath, second-order noise components of the receiver front-ends and additional non-modelled noise contributions \cite{kaplan2017understanding}.

The term $\Delta R^{sr}$ can be expressed highlighting the dependency from the baseline vector as 
%
\begin{equation}
\label{eq:DeltaR}
\Delta R^{sr}(t_k)=\left[\mathbf{h}_i^s(t_k) - \mathbf{h}_j^s(t_k) \right]^T  \mathbf{d}_{ij}(t_k)
\end{equation}
%
where $\mathbf{h}_m^s$ is a \textit{unitary steering vector} defined as in Chapter \ref{ch:GNSSfundamentals}. 

The computation of \ac{DD} measurements can be expanded from the linear relationship $\mathbf{D}_{ij}(t_k) = \mathbf{L}_{\ti{DD}} \mathbf{S}_{ij}(t_k)$, as

\begin{equation}
\label{eq:doubleDiff_mat}
\underbrace{\begin{bmatrix}
D^{12}_{ij}(t_k)  \\
D^{13}_{ij}(t_k)  \\
\vdots  		 \\
D^{1S}_{ij}(t_k)  
\end{bmatrix}}_{\mathbf{D}_{ij}}=\underbrace{\begin{bmatrix}
-1 & 1 &  0 & \cdots & 0 \\
-1 & 0 &  1 & \ddots & 0 \\
 \vdots & \vdots & \ddots & \ddots & \vdots \\
-1 & 0 & \cdots & \cdots & 1 \\
\end{bmatrix}}_{\mathbf{L}_\ti{DD}}=\underbrace{\begin{bmatrix}
S^{1}_{ij}(t_k)  \\
S^{2}_{ij}(t_k)  \\
S^{3}_{ij}(t_k)  \\
\vdots  		 \\
S^{S}_{ij}(t_k)  
\end{bmatrix}}_{\mathbf{S}_{ij}}.
\end{equation}


Equation \eqref{eq:DeltaR} can be then expanded, neglecting the noise contribution in \eqref{eq:double}, in 
\begin{equation}
\label{eq:dd}
\underbrace{\begin{bmatrix}
D^{12}_{ij}(t_k) &  \\
D^{13}_{ij}(t_k) &  \\
\cdots  			 &  \\
D^{1S}_{ij}(t_k) &  
\end{bmatrix}}_{\mathbf{D}_{ij}}
\simeq
\underbrace{\begin{bmatrix}
\left[\mathbf{h}_i^2(t_k) - \mathbf{h}_i^1(t_k) \right] \\
\left[\mathbf{h}_i^3(t_k) - \mathbf{h}_i^1(t_k) \right] \\ 
\cdots 
\\ \left[\mathbf{h}_i^S(t_k) - \mathbf{h}_i^1(t_k) \right]
\end{bmatrix}}_{\mathbf{H}_D}
 \mathbf{d}_{ij}(t_k)
\end{equation}
collecting $S-1$ double difference measurements from a set of $S$ satellites simultaneously visible to $i$ and $j$. This set of equations can be exploited to estimate $ \ve{d}_{ij}(t_k)$ through a \ac{LS} algorithm in the form of
\begin{equation}
\label{eq:LMSdisplacement}
\hat{\ve{d}}_{ij}(t_k) \simeq (\ve{H}_{\ti{D}}(t_k)^\top \ve{H}_{\ti{D}}(t_k))^{-1} \ve{H}_{\ti{D}}(t_k)^\top \ve{D}_{ij}(t_k)
\end{equation} 
where $\ve{D}_{ij}(t_k)$ and $\ve{H}_{\ti{D}}(t_k)$ are respectively the first and the second term in \eqref{eq:displacement}. 


In order to determine the steering vectors, an approximation of the two positions is needed. A \ac{GNSS} receiver can solve for the aiding position by using the external pseudorange measurements. By means of this approach the exchange of the estimated position is not necessary since it can be computed autonomously by the target.

%Given a set $\mathcal{C}$ of aiding agents, the target is capable to retrieve a set of inter-agent measurements 
%
%\begin{equation}
%\label{eq:ddrangeset}
%\mathbf{d}_i(t_k) = [ d_{i1}(t_k)\ \ \ d_{i2}(t_k)\ \ \ldots\ \ \ d_{i |\mathcal{C}|}(t_k) ]^\top
%\end{equation}

%where the generic inter-agent distance $d_{ij} (t_k)=\| \mathbf{d}_{ij}(t_k) \|$ 

As for the previous methods, uncorrelated errors such as multipath, are increased by differentiation. Furthermore, according to what demonstrated in \cite{deponte2013zero}, statistical assumption of mutual independence can be made on different pseudorange measurements but it cannot be assessed for the resulting double difference measurement. 

In addition, the variance for such a kind of measurements is four times the variance of each involved pseudorange (assuming i.i.d. pseudorange measurements).

A general algebraic equation can be used to evaluate the covariance of inter-agent collaborative measurements relying on the covariance of the LMS estimator in \eqref{eq:LMSdisplacement}. It is hence sufficient to compute 
%
\begin{equation}
\label{eq:ddcov}
\mathbf{R}_{d}^{\ti{(DD)}}(t_k)=\left( \mathbf{H}_{\ti{D}}^{\top}(t_k) \mathbf{H}_{\ti{D}}(t_k) \right)^{-1} \mathbf{H}_{\ti{D}}^{\top}(t_k) \mathbf{R}_{\ti{DD}}(t_k) \mathbf{H}_D(t_k) \left( \mathbf{H}_{\ti{D}}^{\top}(t_k) \mathbf{H}_{\ti{D}}(t_k) \right)^{-1}
\end{equation}
%
where $\ve{R}_{\ti{DD}}$ is the covariance matrix of the vector $\ve{D}_{ij}(t_k)$ which is in turn computed from the \ac{SD} covariance \eqref{eq:sdcov}, as 

\begin{equation}
\ve{R}_{\ti{DD}}(t_k)=\mathbf{L}_{\ti{DD}}(t_k) \mathbf{R}_{\ti{SD}}(t_k) \mathbf{L}_{\ti{DD}}^\top(t_k)
\end{equation}


%\begin{equation}
%\ve{R}_{\ti{DD}}=\mathbf{L} \begin{bmatrix}
%    \ve{R}_{\rho_i} & \mathbf{0}_{S\times S} \\
%    \mathbf{0}_{S\times S} & \ve{R}_{\rho_j}    
%\end{bmatrix} \mathbf{L}^\top
%\end{equation}

where $\mathbf{L}_{\ti{DD}}$ is the linear relationship between single differences and double difference measurements, whose errors are still assumed independent for the two receivers. The use of a reference satellite for the construction of the double differences implies that $\ve{R}_{\ti{DD}}$ is non-diagonal, cross-correlation terms among these measurements cannot be neglected. 






\subsubsection{Timing of observables exchange through packet network}
\label{sub:timing}


The timing of the data transmission could represent a bottleneck in the actual implementation of the \ac{GNSS} collaborative approaches. This aspect affects both static and dynamic applications in terms of time-consistency of the exchanged data but it can induce dramatic biases in kinematic scenarios when the relative positions of satellites and users change over the time. However, the feasibility of a \ac{GNSS}-based time synchronization has been considered plausible in high-dynamic multi-agent systems such as vehicular networks\cite{8307419}. A \ac{GNSS} time scale can be indeed considered as a reference for the agents, whenever they are capable to solve for their location and time. Although network-based syncrhonization strategies fall outside the scope of this research, we remind to the reader that a set of network protocols have been conceived to the purpose for the synchronization of connected vehicles \cite{8307419}, thus supporting modern \ac{ITS} paradigm. The effect of the epoch offset between the agents returns a time-inconsistency in the measurements in all of the listed cooperative methods. 

%The aim of this research is to investigate the applicability of near-real-time GNSS-based \ac{CP} through the exchange of external measurements via Internet connectivity. 
Despite the misalignment among the measurements epochs of the agents, it is worth recalling that such a kind of network connectivity adds a transmission delay according to the throughput and the latency of the network infrastructure as exemplified in Figure \ref{fig:timeSchematic}. 

\begin{figure*}[ht!]
\centering
\includegraphics[width=12cm,trim={0.1cm 1.2cm 0.1cm 0.2cm},clip]{ch3_timeScheme.pdf}
\caption{{\small Timing of the exchange of navigation data for the computation of collaborative measurements between agents retrieving asynchronous measurements and \ac{PVT} solutions.}}
\label{fig:timeSchematic}
\end{figure*}

Figure \ref{fig:timeSchematic} describes the exchange of \ac{GNSS} data on a temporal axis, assuming that the agents $A$ and $B$ are aligned to the \ac{GNSS} time scale but providing asynchronous positioning solutions, thus inconsistent set of observables. 

Blue dots and orange dots show the \textit{measurements epochs} for agent $A$ and agent $B$ respectively, in which each receiver estimates the position and updates the set the pseudoranges measurements.
The variable $\Delta t$ is the time difference between agents' measurements epochs, while $RTT = \tau_1+\tau_2$ is the Round Trip Time, which is mainly determined by the communication network. The term $\tau_1$ is relevant for actual collaborative strategies in which an aiding request is foreseen. On the contrary, it can be neglected if raw data are available independently from an active requests.

In the following, a set of relevant \ac{GNSS}-based methods addressing the \textit{baseline estimation} are described in detail according to their input requirements and their computational complexity. A preliminary discussion is also provided concerning the synchronization issues of the measurements coming from asynchronous receivers, according to what has been discussed so far. Eventually the analysis of the uncertainties on the estimation is provided for each method. A more compact notation will be adopted to distinguish the roles of each agent within a cooperative framework. For an improved readability indeed, $A$ and $B$ subscripts will be replaced by $i$ and $j$ to identify generic \textit{aiding agent} and \textit{aided agent} in a multi-agent scenario.




\section{Inter-agent Ranging (IAR)}
\label{sec:iar}

This section provides a description of an original technique for the computation of the \textit{baseline length} among connected \ac{GNSS} receivers presented in \cite{minetto2017IAR,minetto2018PLANS}. The \ac{IAR} method exploits the \textit{steering vectors} computed contextually in the \ac{PVT} algorithm and the current pseudorange measurements for the computation of pairwise baseline lengths between two agents.
This method differs from other solutions because the \textit{baseline vector} is not computed and the baseline length is the only information provided.
The method is based on the exchange of a part of the Direction Cosine Matrix (i.e. steering vector) and the corresponding pseudorange measurement to obtain $\hat{d}^{s}_{ij}(t_k)$, where $s$ identifies the satellite shared for the computation. %The IAR technique can be considered as part of a set of cooperative ranging methods which needs a single satellite in common view to build up a collaborative range measurement. 


%Focusing on the urban environment where satellite visibility is limited and in order to provide a fair comparison, the results presented in this study mainly concern IAR and APD, since they can provide ranging measurements when multiple-shared-satellites techniques are not feasible.

\subsection{Theoretical Inter Agent Range}
\label{sub:IARtheory}

A scenario in which the agents $i$ and $j$ observe a common satellite in \ac{LoS} is addressed in the following, according to Figure \ref{fig:geometry}. The scheme depicts a static scenario or equivalently the snapshot of a kinematic scenario at a given time instant $t_k$.

\begin{figure}
\centering
\includegraphics[width=0.45\textwidth,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{ch3_GeoEncription_enanchedCicleANdLine_time.pdf}
\caption{\small \ac{IAR} geometrical scenario. Ranging description with highlighted \textit{ambiguity circumference} and \textit{ambiguity line}.}
\label{fig:geometry}
\end{figure} 

In order to discuss the theoretical framework of the \ac{IAR}, the basic geometry is hereafter defined with exact distances and positions, assumed as sides and vertices of the aforementioned geometrical arrangement. %The steering vectors are defined according to \eqref{eq:steering}, pointing towards the shared satellite $s$. 
The location of the satellite, $\mathbf{x}_s(t_k)$, is obtained from the computation of the orbit equation at time $t_k$, defined by the ephemeris carried by the broadcasted navigation message \cite{navstar1993icd}.

Given the true satellite-to-user ranges $r_{i}^{s}(t_\tk)$ and $r_{j}^{s}(t_\tk)$ and the respective steering vectors $\mathbf{h}_{i}^{s} (t_\tk)$ and $\mathbf{h}_{j}^{s} (t_\tk)$, the \ac{IAR} can be computed by solving for the unknown of interest, $d_{ij}^s (t_\tk)$, by means of the Carnot theorem (or law of cosines).
The resulting computation is
%
\begin{equation}\label{eq:idealIAR}
{d}_{ij}^{s} (t_\tk) = \sqrt{{r}_{i}^{s}(t_\tk)^2+{r}_{j}^{s}(t_\tk)^2-2\, {r}_{i}^{s}(t_\tk)\, {r}_{j}^{s}(t_\tk) \, \cos {\gamma (t_\tk)}\vphantom{r^s}}
\end{equation}
%
where $\gamma (t_k)$ is the angle included between the two steering vectors w.r.t. the shared-satellite $C$ and can be computed by means of a dot product as 
\begin{equation}
\begin{aligned}\label{eq:gamma}
\gamma(t_\tk) &= \cos^{-1} \left({\mathbf{h}}_{i}^{s} (t_\tk) \cdot {\mathbf{h}}_{j}^{s} (t_\tk) \right)\\
&= \cos^{-1} \left({\mathbf{h}}_{i}^{s} (t_\tk) {\mathbf{h}}_{j}^{s}(t_\tk)^T \right) \ .
\end{aligned}
\end{equation}
%\begin{equation}\label{eq:gamma}
%\gamma=acos \left( \frac{\mathbf{h}_\text{\tiny{A,C}} \cdot \mathbf{h}_\text{\tiny{B,C}}}{| \mathbf{h}_\text{\tiny{A,C}} | \cdot | \mathbf{h}_\text{\tiny{B,C}} |} \right) = acos \left(\mathbf{h}_\text{\tiny{A,C}} \cdot \mathbf{h}_\text{\tiny{B,C}}\right)
%\end{equation}
The equivalence in \eqref{eq:gamma} is due to the unitary norm of the steering vectors, by definition. 
%% NOMENCLATURE OF AGENTS
%Looking at a first basic implementation of this collaborative ranging approach, the agents will be hereafter distinguished as 
%\begin{itemize}
%\item ${i}$, the \textit{aided agent}, which initializes the cooperation asking for the cooperative baseline estimation
%\item ${j}$, the \textit{aiding agent}, which supports the aided agent allowing it to gather the cooperative estimate required.
%\end{itemize}
%%
%This terminology will be adopted also when discussing other cooperative ranging methods to refer to the agents involved. 

%############################################################
%############################################################

In real case the joint effect of incorrect satellite-to-user range measurements and the geometry of the observed constellation characterizes the distribution of the positioning solution, thus the computation of \eqref{eq:gamma}. Input uncertainties must be discussed according to \ac{GNSS} literature, to evaluate the error propagation through the \ac{IAR} computation steps.
The inputs of \eqref{eq:idealIAR} are hence replaced by the corresponding random variables according to 

\begin{equation}\label{eq:realIAR}
\hat{d}_{ij}^{s} (t_\tk) = \sqrt{\vphantom{R^C}\hat{r}_{i}^{s} (t_\tk)^2+\hat{r}_{j}^{s}(t_\tk)^2-2\, \hat{r}_{i}^{s} (t_\tk)\, \hat{r}_{j}^{s} (t_\tk) \, \cos \hat{\gamma}(t_\tk) \vphantom{r^\tC}}
\end{equation}\\

The notation $\hat{d}_{ij}^{s} (t_\tk)$ allows to highlight the dependency from the involved agents and satellite as shown in Figure \ref{fig:geometry}. To compute \eqref{eq:realIAR}, a user needs first to establish the cooperation with an available aiding agent in order to retrieve the quantities involved in the \ac{IAR} computation.

It worth mentioning that when the magnitudes of the range measurements are similar, the \eqref{eq:idealIAR} implemented in floating point can lead to numerical cancellation, therefore a stable solution for the \ac{IAR} is provided in the following.\\

\subsection{Numerically-stable Law of Cosines for \ac{GNSS} applications} 
\label{sub:carnotStable}

The popular law of cosines, a.k.a. Carnot Theorem of triangles, relates the values of the three side lengths and one angle in a triangle $ABC$, as

\begin{equation}
\label{eq:carnotTheorem}
c^2=a^2+b^2-2ab \cos \gamma
\end{equation}

where $a$,$b$ and $c$ are the lengths of the sides and $\gamma$ is the angle included between the sides $a$ and $b$.


\begin{figure}
\centering
\label{fig:carnot}
{\includegraphics[width=0.8\linewidth,trim={0.1cm 0.5cm 0.1cm 0.1cm},clip]{ch3_carnot.pdf}}
        \caption{Triangular geometry emphasizing the limiting conditions of \ac{IAR} implementation: $a\simeq b$ and $\gamma\simeq 0$.}
\end{figure}

According to the knowledge of three of the aforementioned elements, the equation for a side or an angle can be solved.
Equation \eqref{eq:carnotTheorem} can be straightforwardly implemented in floating-point arithmetic but it can produce very inaccurate results whether is used under certain conditions. If the investigated triangle is highly acute, numerical results show high relative errors due to dramatic numerical cancellation in the subtraction of very similar quantities. This issue, known as \textit{loss of significance} is highly impacting when large distance measurements are involved in  \eqref{eq:carnotTheorem}. 
By rearranging \eqref{eq:carnotTheorem} it is possible to compute the value of $c$ according to

\begin{equation}
\label{eq:carnotTheoremSide}
c=\sqrt{a^2 + b^2 -2ab \cos \gamma}
\end{equation}

given that $a \approx b$ have comparable magnitudes and angle $\gamma$ is severely close to zero, then $\gamma \approx 1$ \cite{754809}.

This is the case of terrestrial \ac{IAR} computation based on satellites-to-receivers range measurements, whose order of magnitude can easily reach 6 times the one assumed by the baseline length. In practical terms

\begin{equation}
\label{eq:limitCarnot}
a^2 + b^2 -2ab \cos \gamma \simeq  a^2 + a^2 -2a^2 \cos(0) \simeq 2a^2-2a^2 \simeq 0
\end{equation}

even if $c=10^{-20}$  can be still represented in floating points arithmetic. 
A possible solution to the numerical cancellation is to exploit the Taylor expansion of the cosine for angle $\gamma$ approaching $\gamma \simeq 0$, as

\begin{align}
\label{eq:carnotExpansion}
c^2 = a^2 + b^2 -2ab \cos \gamma & = a^2 + b^2 -2ab(1+cos \gamma -1)\\
 						   & = \left( a^2 + b^2 -2ab \right) -2ab(cosC - 1)\\
						   & = \left( a^2 -2ab + b^2 \right) -2ab \left( -\frac{\gamma^2}{2!} + \frac{\gamma^4}{4!} + o(\gamma^4) \right)\\
						   & \simeq \left(a-b \right)^2+2ab \left( \frac{\gamma^2}{2!} + \frac{\gamma^4}{4!}\right)\\
\end{align}

which gives a stable formula to prevent numerical cancellation is then

\begin{equation}
\label{eq:iarStable}
c = \sqrt{\left( a - b\right)^2 + ab\gamma \left(1 - \frac{\gamma^2}{12} \right)}
\end{equation}

In \eqref{eq:iarStable}, both the terms of the sum are positive and error cancellation is only possible for the squared term $(a-b)^2$, which turns to be critical only in case of zero-baseline tests. It has been shown that in general, the noise affecting the code-based pseudorange measurements mitigates cancellation phenomena when \eqref{eq:iarStable} is used.

\subsection{Time-compensation of asynchronous observables (orbit-based)}
\label{sub:timeCompensation}

As a first step for \ac{IAR} estimation, a shareable satellite ${s}$, has to be jointly identified by agents ${i}$ and ${j}$. %It is worth to stress that cooperating agents need to get continuous independent position estimates or as an alternative, they have to provide a precise steering vectors estimation. 


Let suppose that the agent $i$ sends a request, at time $t_\ti{1}$. At such a time epoch, $i$ retrieves the range, $r_{i}^{s}(t_\ti{1})$ and computes the steering vector $\hat{\mathbf{h}}_{i}^{s}(t_\ti{1})$. Agent $i$ is able to send the timestamped steering vector to agent $j$. Such a request is received by an aiding agent at time $t_\ti{2} = t_\ti{1} + \tau_1$, which can fall randomly between two measurements epochs of the aiding receiver. 
The misalignment between the measurement epochs of the agents must be taken into account to manage the time-inconsistency of the measurements coming from each receiver. For the aforementioned state-of-the-art methods, this compensation is provided by means of an estimate of the changing rate of the satellite-to-user range which is typically measured by the receiver itself relying on doppler measurements \cite{de2013zero}.  Unfortunately, this approach does not provide sufficient information to properly predict the associated steering vector for the \ac{IAR} computation. However, by knowing the ephemeris and timestamps of the received data, the aiding agent can compensate for satellite motion properly through \eqref{eq:compensated_range}. 
The closest measurements in time that $j$ is able to use are the measurements taken at time $t\ti{0}$, that are then compensated for $\Delta t = t_\ti{1} - t_\ti{0}$ seconds by linear regression to make them as consistent as possible with the information provided by $i$.
The evaluation of 
\begin{gather}
\hat{\mathbf{r}}_j^{s *}(t_\ti{1}) = \hat{r}_j^{s}(t_\ti{0}) \hat{\mathbf{h}}_{j}^{s}(t_\ti{0})\, +\, [\mathbf{x}_s(t_\ti{1}) - \mathbf{x}_s(t_\ti{0}) ]  \label{eq:compensated_range} \\
\hat{{r}}_j^{s *}(t_\ti{1}) = ||\hat{\mathbf{r}}_j^{s *}(t_\ti{1})||
 \\
\hat{\mathbf{h}}_j^{s *}(t_\ti{1}) = \frac{\hat{\mathbf{r}}_j^{s *}(t_\ti{1})}{\hat{{r}}_j^{s *}(t_\ti{1})} 
\end{gather}
allows agent $j$ to compute an estimate of the angle ${\gamma} (t_\ti{1})$ in \eqref{eq:gamma} using the predicted  $\hat{\mathbf{h}}_j^{s*}(t_1)$ and the received $\hat{\mathbf{h}}_{i}^{s}(t_\ti{1})$.

At time $t_\ti{3} = t_\ti{1} + RTT$, agent $i$ receives $\hat{\gamma}(t_\ti{1})$ and $\hat{{r}}_j^{s*}(t_\ti{1})$ and determines $\hat{d}_{ij}^s (t_\ti{1})$ through \eqref{eq:realIAR}. 

% comment on Latencies considered: deltat* and RTT<<deltat*


Notice that the communication latency affects the ageing of the estimated \ac{IAR}, which is computed $RTT$ seconds after agent $i$ measurement epoch $t_\ti{1}$.
The network latency cannot be bypassed in a cooperative ranging framework, and the value of $RTT$ may limit the set of possible applications of this paradigm, even for a low-latency DSRC communication link.

In summary, agent $j$ must share partial information on its position, communicating $\hat{\gamma}(t_k)$ and $\hat{{r}}_j^{s*}(t_k)$ to the aided agent to allow the latter to retrieve the baseline length estimation $\hat{d}_{ij}^s (t_k)$.
However, even considering the ideal \ac{IAR} computation \eqref{eq:idealIAR}, the position of the aiding agent $j$ at $t_k$ cannot be retrieved by $i$ because the direction information is not exchanged. Indeed, the dot product shown in \eqref{eq:gamma} is not invertible such that agent $i$ has only a partial knowledge of the position of $j$. It can only assume that its position lies on the circumference $\mathcal{C}_j$ shown in Figure \ref{fig:geometry}, which is the locus of the points at distance ${d}_{ij}^s (t_\tk)$ from the receiver $i$ and ${r}_{j}^{s}(t_\tk)$ from the satellite $s$. By the aiding side, the only knowledge of the steering vector ${\mathbf{h}}_{i}^{s}(t_\tk)$ bounds the uncertainty on the location of agent $i$ to a straight line, $\mathcal{L}_i$, which passes the through points $\mathbf{x}_i (t_\tk)$, $\mathbf{x}_s (t_\tk)$ and the center of $\mathcal{C}_j$.
This aspect prevents the possibility to retrieve the position of the aiding agent by inverting the problem, thus its location is not exchanged neither explicitly such as for \ac{APD} nor implicitly such as for the other \ac{GNSS}-only ranging techniques.

% back on random variables of the IAR estimation
A key point in the analysis of the \ac{IAR} measurement as a random variable regards the effects of non-linear operators applied on the well-modelled input random variables (i.e. pseudoranges) in \eqref{eq:realIAR}.
Although the computation is performed through a non-linear equation, previous works assess that the error distribution of the \ac{IAR} can be well approximated with a Gaussian distribution when Gaussian inputs are considered and the positioning error is negligible w.r.t. the baseline length \cite{minetto2017IAR}.
% range error model & sigmaUERE receiver dependent
However, statistical moments of the estimated \ac{IAR} as a generic distribution are hereafter derived expanding the range terms according to the pseudorange error model discussed in Chapter \ref{ch:GNSSfundamentals}. Satellite-to-user ranges are characterized by different standard deviations $\sigma_{i}^{s}$ and $\sigma_{j}^{s}$ for each \ac{GNSS} receiver and shared satellite $s$.
To limit the notation complexity, all the references to the shared satellite $s$ and time index $t_k$ will be dropped hereafter. Accordingly, the range $\hat{{r}}_j^{s*} (t_\tk)$ and the steering vector $\hat{\mathbf{h}}_j^{s*} (t_\tk)$ will be simply written as $\hat{r}_j$ and $\hat{\mathbf{h}}_j$, respectively.

\subsection{Mean and variance analytical derivation}
\label{sub:IAR_ApproxVar}


%\begin{figure*}[!h]
%\centering
%    \begin{subfigure}[b]{0.32\linewidth}
%{\includegraphics[width=\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_0elNoSteer_BIAS.eps}}
%        \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.32\linewidth}
%{\includegraphics[width=\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_0elSteer_BIAS.eps}}
%        \caption{}
%    \end{subfigure}
%        \begin{subfigure}[b]{0.32\linewidth}
%{\includegraphics[width=\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_0elHighSteer_BIAS.eps}}
%        \caption{}
%    \end{subfigure}
%    \caption{Simulated evaluation of the bias of the \ac{IAR} measurements according to the position of the shared satellite and varying the magnitude of $\sigma_{\hat{\gamma}}$ in $[0, 1\cdot 10^{-7}, 5\cdot 10^{-7}]$, $d=100$ m, $\sigma_i=\sigma_j=7.03$ m.}
%    \label{fig:skyplotsBIAS}
%\end{figure*}


%\begin{figure*}[!h]
%    \centering
%    \begin{subfigure}[b]{0.32\textwidth}
%{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_SKYPLOT01_0elNoSteer.eps}}
%        \caption{}
%        \label{fig:skyPlot_a_std}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.32\textwidth}
%{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_0elSteer_BIAS.eps}}
%        \caption{}
%        \label{fig:skyPlot_b_std}
%    \end{subfigure}
%        \begin{subfigure}[b]{0.32\textwidth}
%{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_SKYPLOT03_0elHighSteer.eps}}
%        \caption{}
%        \label{fig:skyPlot_c_std}
%    \end{subfigure}
%    \caption{Analytic evaluation of $\sigma_{\hat{d}}$ according to the position of the shared satellite and varying the magnitude of $\sigma_{\hat{\gamma}}$ in $[0, 1\cdot 10^{-7}, 5\cdot 10^{-7}]$, $d=100$ m,$\sigma_i=\sigma_j=7.03$ m.}
%    \label{fig:skyplotsSTD}
%\end{figure*}



% generalized taylor expansion
Consider a generic function of $n$ random variables
\begin{equation}
	Y = g(X_1,X_2,...,X_n)
\end{equation}
and its Taylor expansion about the mean values $\mu_{X_1},\mu_{X_2},...,\mu_{X_n}$
\begin{align}
\label{eq:taylorExpansion}
	Y &= g(\mu_{X_1},\mu_{X_2},...,\mu_{X_n}) + \sum_{i=1}^n (X_i-\mu_{X_i}) \pdv{g}{X_i} + \nonumber \\
	&+ \frac{1}{2} \sum_{i=1}^n\sum_{j=1}^n (X_i-\mu_{X_i})(X_j-\mu_{X_j}) \frac{\partial^2 g}{\partial X_i X_j} + ... 
\end{align}
where all the partial derivatives of $g(X_1,X_2,...,X_n)$ are evaluated at $(X_1=\mu_{X_1},X_2=\mu_{X_2},...,X_n=\mu_{X_n})$, as well.

By truncating the expansion at the first order and applying the expected value it is straightforward to obtain
\begin{equation}
	\mathbf{E}[Y] \simeq g(\mu_{X_1},\mu_{X_2},...,\mu_{X_n})
\end{equation}
since the first order terms are canceled by the operator itself.
The same operations applied to \eqref{eq:realIAR} lead to
\begin{equation}
\label{eq:avgIAR}
	\mathbf{E}[\hat{d}_{ij}] \simeq \sqrt{({r}_{i})^2+({r}_{j})^2-2 {r}_{i} {r}_{j}  \cos{\gamma}}.
\end{equation}
which is the definition of the ideal $d_\tAB$ \eqref{eq:idealIAR}, assuming zero-mean distribution of the error affecting the variables $\hat{r}_\tA$,$\hat{r}_\tB$ and $\hat{\gamma}$.
% considerations on AVERAGE IAR
According to \eqref{eq:avgIAR}, equation \eqref{eq:realIAR} can be wrongly thought as an unbiased estimator of $d_{ij}$ since $\mathbf{E}[\hat{d}_{ij}] - d_{ij} = 0$.
However, the statistical behaviour of the estimated \ac{IAR}, obtained through a Monte Carlo simulation campaign, shows generally non-null values of the bias, whose distribution depends on the considered geometry.
%Figure \ref{fig:skyplotsBIAS} shows the value of the \ac{IAR} biases depending on the position of the shared satellite w.r.t. the aided agent in (0,0), by fixing a distance $d=100$ m, and $\sigma_i=\sigma_j=7.03$\,m according to the nominal value of GPS error budget \cite{kaplan2017understanding}. The plot also shows how the value of the bias is dependent on $\sigma_{\hat{\gamma}}$.
The non-null bias contributions are hence attributed to the terms in the Taylor expansion which are truncated due to their higher order, but they are small values compared to the simulated baseline.

% generalized variance computation
The truncation of the Taylor expansion applied to \eqref{eq:realIAR} is exploited to obtain a closed-form approximation of the theoretical \ac{IAR} variance as well.
The variance of a function of multiple random variables is derived as 
% DERIVATION OF VARIANCE
\begin{align}\label{eq:generalizedVar}
\sigma^2_{Y} & \triangleq \mathbf{E}[Y^2]-\mathbf{E}[Y]^2 \nonumber \\
& \simeq \sum_{i=1}^n \sigma_{X_i}^2 \left( \pdv{g}{X_i} \right)^2 + \sum_{\substack{i,j=1,...,n \\ i\neq j}} \alpha_{ij} \sigma_{X_i}\sigma_{X_j} \pdv{g}{X_i}\pdv{g}{X_j} 
\end{align}
%
where $\alpha_{ij}$ is the \emph{correlation coefficient} \cite{fisher2006statistical} of two random variables $X_i$, $X_j$ defined as
\begin{equation}
\alpha_{ij} = \frac{\text{cov}(X_i,X_j)}{\sigma_i \sigma_j} \ .
\end{equation}
% generalized theoretical IAR variance
As a consequence, the variance of $\hat{d}_{ij}$ can be written as
%
\begin{align}
\label{eq:generalizedIARvar}
\sigma^2_{\hat{d}} 
 & \simeq \sigma_{i}^2 \left( \pdv{\hat{d}_{ij}}{\hat{r}_i} \right)^2  \nonumber
 +      \sigma_{j}^2 \left( \pdv{\hat{d}_{ij}}{\hat{r}_j} \right)^2 
 +      \sigma_{\hat{\gamma}}^2 \left( \pdv{\hat{d}_{ij}}{\hat{\gamma}} \right)^2 \\ 
 & + 2\, \alpha_{ij}\, \sigma_{i} \sigma_{j}\, \pdv{\hat{d}_{ij}}{\hat{r}_i} \pdv{\hat{d}_{ij}}{\hat{r}_{j}}
  + 2\, \alpha_{i \ti{\hat{\gamma}}}\, \sigma_{i} \sigma_{\hat{\gamma}}\, \pdv{\hat{d}_{ij}}{\hat{r}_\tA} \pdv{\hat{d}_{ij}}{\hat{\gamma}} \\
 & + 2\, \alpha_{j \hat{\gamma}}\, \sigma_{j} \sigma_{\hat{\gamma}}\, \pdv{\hat{d}_{ij}}{\hat{r}_j} \pdv{\hat{d}_{ij}}{\hat{\gamma}}  \nonumber  
\end{align}
%
which can be easily expressed in a closed-form computing the partial derivatives.
Equation \eqref{eq:generalizedIARvar} will be referred to as \emph{generalized theoretical formula} for the \ac{IAR} variance.

% UNCORRELATED VARIABLES
In order to simplify \eqref{eq:generalizedIARvar}, the random variables involved may be assumed uncorrelated. 
With this in mind, we can derive a simpler form of \eqref{eq:generalizedVar} by setting $\alpha_{ij}=0$ for $i \neq j$ obtaining
\begin{equation}
\sigma^2_{Y} \simeq \sum_{i=1}^n \sigma_{X_i}^2 \left( \pdv{g}{X_i} \right) ^2 \ .
\end{equation}
The variance of the estimated \ac{IAR} $\hat{d}_{ij}$ can be therefore approximated as
%
\begin{align}
\label{eq:varIAR_uncorr}
	\sigma^2_{\hat{d}} & \simeq \frac{1}{d_{ij} ^2} [ \sigma_i^2 (r_i-\cos(\gamma)r_j)^2+ \nonumber \\
	&+ \sigma_j^2 (r_j-\cos(\gamma)r_i)^2 + \nonumber \\
	&+ \sigma_{\hat{\gamma}}^2 (\sin(\gamma)r_i r_j)^2] \ . 
\end{align}
%
where $d_{ij}$ is as in \eqref{eq:idealIAR} and highlights the dependency from the true value of the baseline.

Assuming null cross-correlation between estimated satellite-to-user ranges and $\hat{\gamma}$ (i.e. $\alpha_{i \hat{\gamma}} = \alpha_{j \hat{\gamma}} = 0$) is a reasonable choice since the angle $\gamma$ computed from the steering vectors should maintain a very poor correlation to one specific range among those involved in the computation of the position solution.
The same assumption becomes less reasonable when dealing with the coefficient $\alpha_{ij}$. The residual error term $\xi_i(t_k)$ affecting the corrected pseudoranges affects in turn the estimated ranges $\hat{r}_i$ and $\hat{r}_j$ and these \ac{UERE} terms tend to be highly correlated for single-frequency users, due to residual ionospheric errors \cite{kaplan2017understanding}.
Despite this, the experimental validation provided in Chapter \ref{ch:GNSSrangingAssessment} supports the removal of cross-correlation terms as an acceptable approximation for the \ac{IAR} variance model.

% EFFECTS OF THE ANALYTICAL MODEL + EXTENSION OF PREVIOUS WORK (PLANS)
% IAR variance comparison to PLANS
In \cite{minetto2018PLANS} a simplified equation of the \ac{IAR} variance was computed for two users lying on the same \ac{LTP}, assuming null steering error, i.e. a perfect estimation of the angle $\gamma$ \eqref{eq:gamma}.
Under the same assumptions, it can be shown that \eqref{eq:varIAR_uncorr} and the solution derived in \cite{minetto2018PLANS} are equivalent if and only if $r_i = r_j$ i.e. when the satellite is equidistant from the two peers.
%However the condition can be considered satisfied for any $I_{ij}^{s} << r_\tA, r_\tB$ which is always true for baselines targeted in \ac{GNSS} applications.
%
The characterization provided through this research is therefore coherent with the distribution presented in \cite{minetto2018PLANS}, considering that the condition $\sigma_{\hat{\gamma}}=0$ cancels the third term in \eqref{eq:varIAR_uncorr}.
Moreover, unlike the empirical derivation in \cite{minetto2018PLANS}, the two users are not supposed to lie on the same \ac{LTP}.
%Nevertheless, if estimates of the correlation coefficients are available, they can be taken into account in order to further refine the IAR variance estimation according to the \eqref{eq:generalizedIARvar}. 
% COMMENTO ALLA PAGINA DI SKYPLOTS

%As done for the bias, the values of \eqref{eq:varIAR_uncorr} can be depicted for an aided user $i$ in (0,0) w.r.t. the position in azimuth and elevation of the shared satellite, and a specific position of the aiding user $j$ as well as reasonable values for $\sigma_i^2$, $\sigma_j^2$ and $\sigma_{\hat{\gamma}}^2$. The skyplots in Figure \ref{fig:skyplotsSTD} show the behavior of \eqref{eq:varIAR_uncorr} for different values of $\sigma_{\hat{\gamma}}$. A symmetry perpendicular to the baseline direction is clearly visible for null and small values of $\sigma_{\hat{\gamma}}$. When this term increases due to bad positioning performances, the \ac{IAR} standard deviation $\sigma_{\hat{d}}$ also increases assuming a more uniform distribution, as in Figure \ref{fig:skyPlot_c_std}.

% BIAS vs VAR simmetry
%From these findings on the \ac{IAR} error distribution w.r.t. the geometry of the multi-agent system, it can be noticed that the bias has an inverse behaviour w.r.t. the standard deviation of the measurement such that a shared satellite located in a low bias region of the skyplot induces a high variance of the estimated \ac{IAR} and vice-versa.




% SIMULATED VALIDATION OF FORMULA
%\begin{figure*}[htbp]
%\centering
%\subfloat[\label{fig:skyPlot_A_rotation}]{\includegraphics[width=0.30\textwidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{fig/err_noSteer.eps}}\hfill
%\subfloat[\label{fig:skyPlot_B_rotation}] {\includegraphics[width=0.30\textwidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{fig/err_mediumSteer.eps}}\hfill
%\subfloat[\label{fig:skyPlot_c_rotation}] {\includegraphics[width=0.30\textwidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{fig/err_highSteer.eps}}\hfill
%\caption{\small Difference between $\sigma_{\hat{I}}$ estimated from Monte Carlo simulation and from theoretical formula \eqref{eq:varIAR_uncorr} according to the position of the shared satellite and varying the magnitude of $\sigma_{\hat{\gamma}}$ in $[0, 1\cdot 10^{-7}, 0.5\cdot 10^{-6}]$. $d=100$ m, $\sigma_\tA=\sigma_\tB=7.03$ m..} \label{fig:skyplotDiff}
%\end{figure*}

%\begin{figure*}[!h]
%    \centering
%    \begin{subfigure}[b]{0.32\textwidth}
%{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_err_noSteer.eps}}
%        \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.32\textwidth}
%{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_err_mediumSteer.eps}}
%        \caption{}
%    \end{subfigure}
%        \begin{subfigure}[b]{0.32\textwidth}
%{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_err_highSteer.eps}}
%        \caption{}
%    \end{subfigure}
%    \caption{Difference between $\sigma_{\hat{d}}$ estimated from Monte Carlo simulation and from theoretical formula \eqref{eq:varIAR_uncorr} according to the position of the shared satellite and varying the magnitude of $\sigma_{\hat{\gamma}}$ in $[0, 1\cdot 10^{-7}, 0.5\cdot 10^{-6}]$. $d=100$ m, $\sigma_i=\sigma_j=7.03$ m.}\label{fig:skyplotDiff}
%\end{figure*}



%The skyplots in Figure \ref{fig:skyplotDiff} are obtained as the difference between simulated and theoretically computed $\sigma_{\hat{d}}$ in the same scenario of Figure \ref{fig:skyplotsSTD}. %, which is taken as an example to test the validity of the theoretical model.
%The simulated \ac{IAR} variance is always less than $0.6$\,m from the theoretical value given by \eqref{eq:varIAR_uncorr}.
%As the steering error $\sigma_{\hat{\gamma}}$ increases, a non-negligible error can be observed in the areas characterized by high \ac{IAR} standard deviation values. This is particularly visible in the right skyplot of Figure \ref{fig:skyplotDiff}, relative to the values of $\sigma_{\hat{d}}$ reported in Figure \ref{fig:skyPlot_c_std}.
%This behaviour can be reasonably attributed to the neglected cross-correlated terms in \eqref{eq:varIAR_uncorr}, that become more relevant as $\sigma_{\hat{\gamma}}$ increases \eqref{eq:generalizedIARvar}, as well as to the truncation of the Taylor expansion.

%BIAS SIMMETRY
%\begin{figure}[ht!]
%\centering
%\includegraphics[width=\linewidth,trim={0cm 0cm 0cm 0cm},clip]{ch3_horizontalpeerMoving.eps}
%\caption{\small  Analytic evaluation of $\sigma_{\hat{d}}$ varying the azimuth of the aiding agent $j$, w.r.t. the aided agent $i$. Parameters: $\sigma_{\hat{\gamma}}=0.5\cdot 10^{-6}$ $d=100$ m, $\sigma_i=\sigma_j=7.03$ m.} \label{fig:skyplotsRotation}
%\end{figure}
%
%\begin{figure}[ht!]
%\centering
%\includegraphics[width=\linewidth,trim={0cm 0cm 0cm 0cm},clip]{ch3_flyinglpeerMoving.eps}
%\caption{\small  Analytic evaluation of $\sigma_{\hat{d}}$ both the azimuth and elevation angle of the aiding agent $j$, w.r.t. the aided agent $i$. Parameters: $\sigma_{\hat{\gamma}}=0.5\cdot 10^{-6}$ $d=100$ m, $\sigma_i=\sigma_j=7.03$ m.} \label{fig:skyplotsRotation}
%\end{figure}


%The symmetry of Figure \ref{fig:skyplotsSTD} is preserved in case of azimuthal rotation of the aiding peer, as highlighted in Figure \ref{fig:skyplotsRotation}, where the effect of the movement of agent $j$ is shown varying both elevation and azimuth w.r.t. the agent $i$.

%In case of availability of more than one satellite in common visibility, a suitable theoretical formula allows to make an a priori choice of the shared satellite that will provide the best trade-off between bias and variance of the error of the estimated \ac{IAR}.
%The formula is hence decomposed in three terms which can be estimated without the mutual knowledge of the explicit positions of the users. Average values and variances of the random variables involved can be derived by the users to obtain an estimation of the IAR variance.
The variance computed through \eqref{eq:varIAR_uncorr} or through the generalized theoretical formula \eqref{eq:generalizedIARvar} can therefore influence the choice of the satellite, provided that the aiding agent is able to estimate $\sigma_j^2$, $r_j$, $\sigma_{\hat{\gamma}}^2$ and $\gamma$, while $\sigma_i^2$ and $r_i$ can be estimated by the aided agent. Furthermore, it allows to determine a weighted strategy for the averaging of the estimated \ac{IAR} measurements.




\section{Final remarks}
\label{sec:final3}
%##############################################################################
%\textbf{The \ac{IAR} is the only \ac{GNSS}-based ranging method allowing to bypass the measurement dependency acting by substitution.}

\begin{figure}
\centering
\includegraphics[width=0.7\textwidth,trim={0.5cm 2.0cm 0.5cm 0cm},clip]{ch3_compositeMethodsApplicability.eps}
\caption{{\small Example of simultaneous \ac{GNSS} satellites visibility for two agents following an experimental trajectory in urban environment (upper) and practicability of GNSS-only ranging methods along the time (bottom).}}
\label{fig:visibility}
\end{figure}

% ###################################### CONSIDERARE SPOSTAMENTO
PR, SD and DD methods, require a substantial exchange of pseudorange measurements between pair of collaborating receivers.
% #################################################################
%###############################################################################
When the exchange of at least three pseudorange measurements, any receiver can solve the position of the other user sharing those data. Basically, all the classic methods allow \emph{implicitly} to retrieve and track the position of collaborating agent, and they always need three or more shared satellites.
The \ac{APD} method makes no exception since it requires the \emph{explicit} exchange of absolute positioning solutions thus allowing to any collaborating receiver to know the location of other users. On the other hand however, it does not require shared satellites thus being suitable even in very poor common visibility conditions.

% QUI INDICHIAMO PERCHE' NON CONFRONTIAMO LE ALTRE TECNICHE CON LO IAR
Each receiver employs a different set of satellites to compute its own position thus the intersection of the two sets could contain less than three satellites, making the aforementioned techniques unsuitable in a harsh environment. Indeed, observing less than three shareable satellites, only \ac{APD} can be employed to compute the range between the agents. By identifying a worst-case scenario, only one satellite is assumed shareable due to the presence of masking obstacles which obstruct \ac{LoS}. An example of the number of satellites in common view in a real urban scenario is reported in Figure \ref{fig:visibility}, where the variability of the number of satellites along the time (upper plot) prevents the use of some ranging techniques in some time intervals (lower plot). Besides its sub-optimality the \ac{IAR} method is conceived to require the minimum amount of information to be exchanged between networked receivers, thus reducing both the need of multiple shared satellites and the network overhead.

%\subsection{Measurements statistical model}
%
%Summarizing the concept of collaborative measurements we can state that 
%
%\begin{equation}
%\label{eq:generalEquation}
%\hat{\mathbf{d}}_k=\ell(\hat{\mathbf{z}}_{ik},\hat{\mathbf{z}}_{jk})
%\end{equation}
%
%where $\ell$ is a generic function which combines the measurements of the two agents according to one of the presented methods. It is worth mentioning that for differential methods $\ell$ is a linear function while for \ac{IAR} is non linear. 






